require"spine"; application:setBackgroundColor(0); local monitor=require"monitor"
local random=math.random
--local random=Core.random --probable bug here!

local function spawnSpineObject()
	local rooster=SpineSprite.new("data/rooster.json","data/rooster.atlas")
	rooster:setAnimation(0,"rooster_run_anim",nil,true)
	rooster:setPosition(random(160,570),random(160,1100))
	stage:addChild(rooster)
end
for i=1,30 do spawnSpineObject() end

local rooster_texturepack = TexturePack.new("data/rooster_spritesheet.txt", "data/rooster_spritesheet.png", false)

local function spawnSpriteObject()
	local rooster=MovieClip.new{
		{1, 2, Bitmap.new(rooster_texturepack:getTextureRegion("rooster_00.png"))},	
		{2, 4, Bitmap.new(rooster_texturepack:getTextureRegion("rooster_01.png"))},	
		{4, 6, Bitmap.new(rooster_texturepack:getTextureRegion("rooster_02.png"))},	
		{6, 8, Bitmap.new(rooster_texturepack:getTextureRegion("rooster_03.png"))},	
		{8, 10, Bitmap.new(rooster_texturepack:getTextureRegion("rooster_04.png"))},	
		{10, 12, Bitmap.new(rooster_texturepack:getTextureRegion("rooster_05.png"))},
		{12, 14, Bitmap.new(rooster_texturepack:getTextureRegion("rooster_06.png"))},
		{14, 16, Bitmap.new(rooster_texturepack:getTextureRegion("rooster_07.png"))},
		{16, 18, Bitmap.new(rooster_texturepack:getTextureRegion("rooster_08.png"))},
		{18, 20, Bitmap.new(rooster_texturepack:getTextureRegion("rooster_09.png"))},
		{20, 22, Bitmap.new(rooster_texturepack:getTextureRegion("rooster_10.png"))},
		{22, 24, Bitmap.new(rooster_texturepack:getTextureRegion("rooster_11.png"))},
		{24, 26, Bitmap.new(rooster_texturepack:getTextureRegion("rooster_12.png"))},
		{26, 28, Bitmap.new(rooster_texturepack:getTextureRegion("rooster_13.png"))},
		{28, 30, Bitmap.new(rooster_texturepack:getTextureRegion("rooster_14.png"))},
		{30, 32, Bitmap.new(rooster_texturepack:getTextureRegion("rooster_15.png"))},
		{32, 34, Bitmap.new(rooster_texturepack:getTextureRegion("rooster_16.png"))}
	}
	rooster:setGotoAction(34, 1)
	rooster:setPosition(random(50,570),random(50,1100))
	stage:addChild(rooster)
end

stage:addEventListener(Event.TOUCHES_END, function()
	for i = stage:getNumChildren(), 1, -1 do
		stage:removeChildAt(i)
	end
	collectgarbage()
	
	local textInputDialog = TextInputDialog.new("", "Number of sprites to spawn:", "10", "Spritesheet","Spine animation")
	textInputDialog:setInputType(TextInputDialog.PHONE)
	
	textInputDialog:addEventListener(Event.COMPLETE, function(event)
		for i=1,tonumber(event.text) do
			if event.buttonIndex==1 then spawnSpineObject() else spawnSpriteObject() end
		end
	end)
	
	textInputDialog:show()
end)